package ru.yandex.wmconsole.data.info.api;

import ru.yandex.wmconsole.data.VerificationStateEnum;
import ru.yandex.wmconsole.verification.VerificationTypeEnum;

import java.util.Date;

/**
 * @author ailyin
 */
public class ApiUsersHostsInfo {//todo derive from ShortHostInfo?
    private final String hostname;
    private final VerificationTypeEnum verificationType;
    private final VerificationStateEnum verificationState;
    private final Date verificationDate;
    private final long verificationUin;
    private final boolean otherUsersExist;

    public ApiUsersHostsInfo(String hostname, VerificationTypeEnum verificationType,
            VerificationStateEnum verificationState, Date verificationDate, long verificationUin,
            boolean otherUsersExist) {
        this.hostname = hostname;
        this.verificationType = verificationType;
        this.verificationState = verificationState;
        this.verificationDate = verificationDate;
        this.verificationUin = verificationUin;
        this.otherUsersExist = otherUsersExist;
    }

    public String getHostname() {
        return hostname;
    }

    public VerificationTypeEnum getVerificationType() {
        return verificationType;
    }

    public VerificationStateEnum getVerificationState() {
        return verificationState;
    }

    public Date getVerificationDate() {
        return verificationDate;
    }

    public long getVerificationUin() {
        return verificationUin;
    }

    public boolean areOtherUsersExist() {
        return otherUsersExist;
    }
}
